ECHO Off
IF NOT . == .%3 GOTO PARMSOK
ECHO Please start the setup program by running SDLSETUP.
GOTO QUIT
:PARMSOK
sdl_get B
ECHO * * *
ECHO You may exit at any point by pressing Ctrl-C and answering Y to terminate.
ECHO You may skip to the next section at any prompt by pressing the
ECHO Escape key (Esc on most keyboards).  Note that all selections
ECHO are made by "pressing" single keys.  These selections are NOT
ECHO "entered" by pressing the Enter key after making the selection.
ECHO * * *
ECHO The questions are set up with the original defaults capitalized.
ECHO If you select the capitalized choices the original defaults
ECHO will be restored.  If the choices are not alphabetic, the first
ECHO one shown is the original default.  Either caps or lower case
ECHO letters are OK for your alphabetic selections.
ECHO * * *
ECHO If you do not want to change the operation of a selection, just press
ECHO the Enter key (sometimes called Return or "<CR>").  This is indicated as
ECHO choice (cr). Or press Esc to skip to the next section of questions.
ECHO * * *
ECHO The first section is for the toggles: 
Echo     Cls   (Clear the screen)
Echo     More  (or Menu - pause at the end of each screen)
Echo     Fre   (Free space left on the disk)
Echo     Hdr   (Turn title lines off or on)
Echo     All   (Exclude "<DIR>"s and hidden files)
sdl_get C "Press Return to continue, Esc to skip this section..." ~}
IF ERRORLEVEL 126 GOTO NEXT
sdl_get b
ECHO * * *
ECHO SDL has several options which can be "toggled" by command line
ECHO switches.  A toggle has only two possibilities, and the switch (option)
ECHO changes a toggle from its current setting to the opposite setting.
ECHO For example:
ECHO You may set the clear screen (Cls) default to Off or On.
ECHO When it is ON it clears the screen before and after each display.
ECHO When it is OFF the screen just scrolls and is a bit slower.
Echo Whichever default you choose, the /C option will toggle it.
ECHO * * *
sdl_get N "Do you want Cls ON to be the default mode (Y,n,cr)? "
IF ERRORLEVEL 126 GOTO NEXT
IF ERRORLEVEL 89 IF NOT ERRORLEVEL 90 ECHO E 22F 01>>SDLSETUP.TXT
IF ERRORLEVEL 78 IF NOT ERRORLEVEL 79 ECHO E 22F 00>>SDLSETUP.TXT
ECHO * * *
ECHO SDL Version 4 uses "More" instead of "Pause" to stop and show
ECHO a menu at the end of each screen display.  This was changed from
ECHO earlier versions to reserve the /P option for Printing (Prn).
ECHO (Later you will be given the option to use /P for Pause if you prefer).
ECHO You may set the More/Pause default to Off or On.
Echo Whichever default you choose, the /M option will toggle it.
ECHO * * *
sdl_get N "Do you want pausing for More to be the default mode (Y,n,cr)? "
IF ERRORLEVEL 126 GOTO NEXT
IF ERRORLEVEL 89 IF NOT ERRORLEVEL 90 ECHO E 230 01>>SDLSETUP.TXT
IF ERRORLEVEL 78 IF NOT ERRORLEVEL 79 ECHO E 230 00>>SDLSETUP.TXT
ECHO * * *
ECHO SDL Version 4 has a new /F option for showing Free Space (Fre) on
ECHO a disk.  On a hard disk SDL is much faster if it doesn't have to
ECHO wait for DOS to get the Free Space.  On a floppy disk the amount
ECHO of free space may be of interest, but you can display it by
ECHO pressing the F key at the end of the display.  You may, however,
ECHO have the Free Space displayed automatically as the default.
ECHO Whichever you choose, the /F option will toggle it.
ECHO * * *
sdl_get N "Do you want Free Space ON to be the default? (y,N,cr)? "
IF ERRORLEVEL 126 GOTO NEXT
IF ERRORLEVEL 89 IF NOT ERRORLEVEL 90 ECHO E 231 1>>SDLSETUP.TXT
IF ERRORLEVEL 78 IF NOT ERRORLEVEL 79 ECHO E 231 0>>SDLSETUP.TXT
ECHO * * *
ECHO You may set the Header (Hdr) default to On or Off.
ECHO When OFF it suppresses the first two lines of titles to leave
ECHO more space on the screen for file names.
Echo In order to protect the copyright notice, this customization
ECHO feature is not available in the Shareware version of MASDIR.
ECHO It is fully supported in the registered version.
ECHO * * *
ECHO The /A for ALL option toggles the display of hidden files and directories.
ECHO If you select ALL as the default, SDL will automatically include
ECHO Hidden files and "<DIR>"s (subdirectories) in the directory display.
Echo Whichever default you choose, the /A option will toggle it.
ECHO * * *
sdl_get N "Do you want All to be the default mode (Y,n,cr)? "
IF ERRORLEVEL 126 GOTO NEXT
IF ERRORLEVEL 78 IF NOT ERRORLEVEL 79 ECHO E 233 00>>SDLSETUP.TXT
IF ERRORLEVEL 89 IF NOT ERRORLEVEL 90 ECHO E 233 16>>SDLSETUP.TXT
:NEXT
sdl_get B
ECHO * * *
ECHO The next section includes defaults for:
Echo     SORTing   (Field, Reverse, Width)
Echo     COLumns   (2,4,6)
Echo     Disk size (3,5)
Echo     Cluster size (0.5,1 2 4 8 Kb)
ECHO * * *
ECHO Reminder:
ECHO If you do not want to change a selection just press return (cr),
ECHO or press Esc to skip to the next section.
ECHO * * *
ECHO The default SORT order (field) can be Name, eXtension, Date, or
ECHO the Original dOs order which is unsorted.
ECHO (Note that the letters above in CAPS are the option keys.)
ECHO * * *
sdl_get C "Press the letter for the SORT order you prefer (N,x,d,o,cr): " NXDO~}
IF ERRORLEVEL 126 SDLNOTOG %1 %2 %3
SET GET=
IF ERRORLEVEL 88 IF NOT ERRORLEVEL 89 SET GET=58
IF ERRORLEVEL 79 IF NOT ERRORLEVEL 80 SET GET=4F
IF ERRORLEVEL 78 IF NOT ERRORLEVEL 79 SET GET=4E
IF ERRORLEVEL 68 IF NOT ERRORLEVEL 69 SET GET=44
IF NOT ERRORLEVEL 125 ECHO E 022E %GET%>>SDLSETUP.TXT
ECHO * * *
ECHO The default number of COLumns of files can be 2, 4 or automatic.
ECHO The original default is automatic which trys to show all the files on
ECHO one screen if possible.  You can override the default with a
ECHO / option on the command line, or by making a new selection from
ECHO the menu at any pause.
ECHO * * *
sdl_get C "Press the number of COLs you prefer, or 0 for automatic (0,2,4,cr): " 024~}
IF ERRORLEVEL 126 SDLNOTOG %1 %2 %3
IF NOT ERRORLEVEL 125 ECHO E 022C %GET%>>SDLSETUP.TXT
ECHO * * *
ECHO The sorting of file names can be in ascending order or in reverse
ECHO order.  This applies to the N,X,S, or D sort selection, and it
ECHO is controlled by the /- toggle.  For example, any of /-, /S-,
ECHO or /-S would reverse the sort order from the default.
ECHO * * *
sdl_get C "Press A for Ascending, - for descending (A,-,cr): " A-~}
IF ERRORLEVEL 126 SDLNOTOG %1 %2 %3
IF ERRORLEVEL 65 IF NOT ERRORLEVEL 66 ECHO E 22B 00>>SDLSETUP.TXT
IF ERRORLEVEL 45 IF NOT ERRORLEVEL 46 ECHO E 22B 01>>SDLSETUP.TXT
echo * * *
echo File names can be listed in the sort order horizontally from left to
echo right, or vertically from top to bottom.  Whichever default you choose,
echo the W (for Width) option will toggle it.
echo * * *
sdl_get C "Press W for horizontal, V for Vertical, or cr for no change (V,w,cr): " WV~}
IF ERRORLEVEL 126 SDLNOTOG %1 %2 %3
IF ERRORLEVEL 87 IF NOT ERRORLEVEL 88 ECHO E 228 01>>SDLSETUP.TXT
IF ERRORLEVEL 86 IF NOT ERRORLEVEL 87 ECHO E 228 00>>SDLSETUP.TXT
echo * * *
echo The type of disk can be selected with the 3 and 5 options; however, you
echo may select the default that will be used when the option is omitted.
ECHO This selection affects the size of disk labels printed only.
echo * * *
sdl_get c "Press 3 for 3.5 in. or 5 for 5.25 in. disk labels (5,3,cr): " 35~}
IF ERRORLEVEL 126 SDLNOTOG %1 %2 %3
IF ERRORLEVEL 51 IF NOT ERRORLEVEL 52 ECHO E 229 33>>SDLSETUP.TXT
IF ERRORLEVEL 53 IF NOT ERRORLEVEL 54 ECHO E 229 00>>SDLSETUP.TXT
ECHO * * *
echo When adding up the bytes for the total of the files, SDL rounds up to the
echo next kilobyte to provide an accurate indication of the amount of space
echo the files would occupy on a 360KB or 720KB diskette.  1.2MB and 1.44MB
echo diskettes use space in 0.5KB clusters, while hard disks may use 2KB, 4KB,
echo or 8KB clusters.  The rounding factor may be selected on the command line
echo by indicating /B for 0.5KB, /B1 for 1KB, /B2 for 2KB, etc.  You may select
echo a new default by pressing the size of the cluster you want.
echo * * *
sdl_get c "Press 0 for 0.5KB or 1, 2, 4 or 8 KB clusters (1,2,4,8,0,cr): " 01248~}
IF ERRORLEVEL 125 SDLNOTOG %1 %2 %3
SET GET=
IF ERRORLEVEL 48 IF NOT ERRORLEVEL 49 SET GET=01
IF ERRORLEVEL 49 IF NOT ERRORLEVEL 50 SET GET=03
IF ERRORLEVEL 50 IF NOT ERRORLEVEL 51 SET GET=07
IF ERRORLEVEL 52 IF NOT ERRORLEVEL 53 SET GET=0F
IF ERRORLEVEL 56 IF NOT ERRORLEVEL 57 SET GET=1F
IF NOT . == .%GET% ECHO E 227 %GET%>>SDLSETUP.TXT
SDLNOTOG %1 %2 %3
:QUIT 
IF EXIST SDLSETUP.TXT ERASE SDLSETUP.TXT
if exist menu.bat menu
SET GET=
ECHO Exiting to DOS ...

